:root {
  --text-color: #063442;
  --text-color-alt: #494048;
  --text-color-light: #999999;
  --main-color: #4FC4AF;
  --dark-color: #2F746E;
  --light-color: #C1E7D2;
  --highlight-color: #FDF3CF;

  --secondary-color: #FFC07A;
  --secondary-color-dark: #ED7901;

  --r-background-color: white;
  --r-main-color: var(--main-color);

  --r-main-font-size: 28px;
  --r-block-margin: 3%;

  --r-heading1-size: 48px;
  --r-heading2-size: 38px;
  --r-heading-margin: 1% 0 4% 0;
  --r-heading-font: "poppins semibold", verdana;
  --r-heading-color: var(--text-color);
  --r-heading-line-height: 1.2em;
  --r-heading-text-transform: none;

  --r-code-font: "courier new";
  --r-link-color: var(--secondary-color-dark);
  --r-link-color-dark: var(--secondary-color);
  --r-link-color-hover: var(--secondary-color);
  --r-selection-color: white;
  --r-selection-background-color: var(--dark-color);
}

body:after {
  content: url(https://mirrors.creativecommons.org/presskit/buttons/88x31/svg/by-sa.svg);
  position: fixed;
  transform: scale(.5);
  top: .5rem;
  right: .5rem;
}

.reveal {
  font-family: carlito, lato, arial;
  color: var(--text-color);
}

.reveal .slides {
  text-align: left;
  /* transform: translate(-50%, -50%) scale(1) !important; */
}

.reveal figure {
  text-align: center;
}

.reveal h1,
.reveal h2 {
  text-align: left;
  padding-left: 0.5em;
  border-left: 0.25em solid var(--main-color);
}
.reveal h3 {
  margin: 1% 0 2% 0 !important;
}

.reveal a, .reveal a:hover {
  /* background: var(--highlight-color); */
  border-bottom: 1px solid var(--secondary-color-dark);
}

.reveal .summary {
  margin-left: 4em;
}
.reveal .summary li {
  margin-top: .35em;
}
.reveal .summary ul {
  list-style-type: none;
}
.reveal .summary ul ul {
  list-style-type: none;
}

.reveal .summary-page {
  position: fixed;
  right: 20px;
}

.reveal #title-slide, .reveal #title-slide h1 {
  margin-right: 20%;
  text-align: left;
  font-size: 24px;
}

.reveal #title-slide .subtitle {
  text-align: left;
  font-size: 30px;
}

.reveal #title-slide p {
  margin: 1em 0 0 72px;
}

.reveal #title-slide p.author {
  margin-top: 2em;
  margin-bottom: .7em;
}

.reveal #title-slide p.date {
  text-align: right;
  font-size: 16px;
}

.reveal #title-slide h1 {
  display: inline-flex;
  /* margin-left: 1em; */
  padding-left: 0;
  margin-bottom: 0;
  font-size: 48px;
  border-left: none;
  /* border-left: .25em solid var(--main-color); */
  /* color: var(--main-color); */
  /* border-left: none; */
}

.reveal #title-slide h1 img {
  margin: 0.1em 0 0 1em;
  height: 1em;
}

.reveal #title-slide p {
  /* margin-left: 1.5em; */
  /* margin-bottom: 0; */
  /* font-size: 36px; */
  /* border-left: .25em solid var(--main-color); */
}

.reveal h4 {
  font-size: 24px;
  margin-top: 1.4em !important;
  margin-bottom: .8em !important;
}

.reveal .text-center {
  text-align: center;
}

.reveal .mt-default {
  margin-top: .5em;
}
.reveal .mt-default-ter {
  margin-top: .8em;
}

.reveal .mt-default-bis {
  margin-top: 3.8em;
}

.reveal .text-no-mt p {
  margin-top: 0.2em;
}

.reveal .no-pt {
  padding-top: 0 !important;
}

.reveal .no-mt img, .reveal .no-mt p {
  /* box-shadow:12px 12px var(--highlight-color); */
  /* box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, .5), 0 0px 0 1px rgba(10, 10, 10, 0.2); */
  margin-top: 0;
  margin-bottom: 0;
}

.reveal .current-visible:not(.visible) {
  opacity: 1 !important;
  visibility: inherit !important;
}

.reveal .h-75 figure {
  height: 75vh;
}

.reveal .h-50 figure {
  height: 50vh;
}

.reveal .h-45 figure {
  height: 45vh;
}

.reveal .h-40 figure {
  height: 40vh;
}

.reveal .h-35 figure {
  height: 35vh;
}

.reveal .h-30 figure {
  height: 30vh;
}

.reveal .h-25 figure {
  height: 25vh;
}

.reveal .no-caption figure figcaption {
  display: none;
}

.img-shadow figure img {
  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, .5), 0 0px 0 1px rgba(10, 10, 10, 0.2);
}

.reveal .img-border img {
  border: 1px solid lightgray;
}

.img-pdf figure img,
.img-pdf p img {
  border: 1px solid lightgray;
  box-shadow: 7px 7px  var(--highlight-color);
  /* box-shadow: 7px 7px lightgray; */
}

.reveal .img-shadow-yellow img {
  /* box-shadow: 0 0.2em .4em -0.125em rgba(10, 10, 10, .5), 0 0px 0 1px rgba(10, 10, 10, 0.2); */
  border: 1px solid lightgray;
  margin: -5px 0 -5px 0;
}
.reveal .img-shadow-yellow figure, .reveal .img-shadow-yellow p {
  background: linear-gradient(to left, var(--highlight-color), var(--highlight-color));
  background-position: 5px bottom;
  /* background-size: 100% 100%; */
  background-repeat: no-repeat;
  /* padding: 0 0 0 0; */
  margin-top: .7em;
}

.img-cover img {
  height: 35px;
  margin-right: 1em;
}
.img-cover img {
  margin-bottom: 0;
}

.img-no-margin p,
.img-no-margin p img,
.img-no-margin figure img {
  margin: 0;
}

.img-large p img,
.img-large figure img {
  max-height: 500px;
  max-width: 560px;
}

.img-small p,
.img-small figure {
  height: 240px;
}

.img-medium p img,
.img-medium figure img {
  max-height: 350px;
}

.img-mini p img,
.img-mini figure img {
  max-height: 125px;
}

.img-nano figure img {
  max-height: 100px;
}

.img-nano-w figure img {
  max-width: 300px;
}

.img-team figure img,
.img-team p img {
  /* -webkit-filter: grayscale(100%); */
  /* filter: grayscale(100%); */
}

.img-table figure img {
  max-height: 500px;
}

hr {
  /* color: lightgray; */
  border-top: 1px solid whitesmoke;
}

strong {
  /* border-bottom: 5px solid var(--secondary-color-dark); */

  background: var(--main-color);
  color: white;

  /* background: linear-gradient(to left, var(--highlight-color), var(--highlight-color));
  background-position: 0.2em bottom;
  background-size: 100% 60%;
  background-repeat: no-repeat;
  padding-right: 0.2em;
  margin-right: -0.2em; */
}

b {
  box-shadow: inset 0 -0.4em 0 0 var(--highlight-color);
}

.text-secondary {
  background: var(--secondary-color-dark);
  color: white;
}
strong:before, strong:after, a:before, a:after, .text-secondary:before, .text-secondary:after {
  /* padding-left: .5em; */
  /* text-indent: .5em; */
  content: "\0020";
  white-space: pre;
}



code {
  background-color: var(--highlight-color);
  font-size: calc(0.8 * var(--r-main-font-size));
}

div.sourceCode {
  margin-top: 0;
}

div.sourceCode a, code.sourceCode span a::before {
  border-bottom: none;
  text-decoration: none !important;
}

/* Reveal controls */

.reveal .controls, .reveal .progress {
  color: var(--main-color);
}

.reveal .progress {
  height: 6px
}

::selection {
  background: var(--dark-color);
}

.reveal .slide-number {
  font-size: 16px;
  right: auto;
  left: 8px;
  background-color: var(--text-color);
}

.reveal .slide-number a {
  background: none;
  color: white;
}

.reveal .slides section .fragment, .date {
  padding-top: .7em;
  color: var(--text-color-light);
  font-size: 22px;
}

.reveal .text-micro {
  padding-top: 0em;
  color: var(--text-color-light);
  font-size: 18px;
}

.reveal .text-nano, .reveal .text-nano code {
  font-size: 14px;
}

.reveal .emph-line {
  line-height: 2.5em;
}

.reveal .text-bold {
  font-weight: bold;
}

.reveal .text-justify {
  text-align: justify;
  text-justify: inter-word;
}

.reveal .text-author-details {
  margin-left: 1em;
}

.reveal table {
  font-size: 10px;
}

.reveal .table-matrix table {
  width: auto !important;
}

/* .reveal .table-matrix table thead tr th {
  max-width: 5% !important;
} */

.reveal .table-retroplanning {
  font-size: 11px;
}
.reveal .table-ngi {
  font-size: 10px;
}
/* .reveal .table-retroplanning thead tr th:nth-child(3) {
  text-align: center;
}

.reveal .table-milestones thead tr th:nth-child(n+4),
.reveal .table-milestones tbody tr td:nth-child(n+4) {
  text-align: right;
}

.reveal .table-feats thead tr th:nth-child(n+7),
.reveal .table-feats tbody tr td:nth-child(n+7) {
  text-align: right;
}
.reveal .table-feats thead tr th:nth-child(5),
.reveal .table-feats tbody tr td:nth-child(5) {
  text-align: center;
}

.reveal .table-matrix-a thead tr th:nth-child(n+2),
.reveal .table-matrix-a tbody tr td:nth-child(n+2) {
  text-align: right;
}

.reveal .table-matrix-a thead tr th:nth-child(n+2),
.reveal .table-matrix-a tbody tr td:nth-child(n+2) {
  text-align: right;
} */

.reveal .mini-inline p,
.reveal .mini-inline p img {
  margin: 0;
  display: inline-flex;
}
.reveal .mini-inline p img {
  height: 18px;
}

hr {
  color: whitesmoke;
}


.reveal .ngi-timeline-mini table {
  font-size: 9px;
}

.reveal .ngi-timeline table tbody tr td:nth-child(n+7) {
  padding-left: 0;
  padding-right: 0;
}
.reveal .ngi-timeline table .cell-bg {
  color: var(--light-color);
  background-color: var(--light-color);
  width: 100%;
  display: inline-block;
}

footer { 
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 30px;
  background: transparent;
  font-size: .5em;
  color: darkgray;
  text-align: center;
  z-index: 10;
}
footer em {
  background: white;
  padding: 2px 20px;
}